[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'StdCtrls' (#lcl)

# TCustomCheckBox.DialogChar

Implements support for accelerator keys in the control.

## Declaration

Source position: stdctrls.pp line 1345

`protected function TCustomCheckBox.DialogChar(`
`var Message: TLMKey`
`):Boolean; override;`

## Arguments

`Message` |  | Control message examined in the method.

## Function result

True when the control state is toggled by the accelerator key.

## Description

DialogChar is an overridden Boolean function in TCustomCheckBox which handles accelerator keys in messages for the control. The return value is set to True when the check box is successfully toggled in the method.

Message is the TLMKey instance with the key code examined in the method. When the key code matches the accelerator key in Caption, the control is focused and its State is toggled. If the control cannot be focused, or Message does not represent an accelerator key code, the inherited method is called to get the return value.

This method is called even if the control is disabled or hidden. Provided for Delphi VCL compatibility.

## See also

TControl.DialogChar |  | Performs actions needed to handle an accelerator key for the control.